/** svn $Id$ ecodynamo_var.h
*************************************************** Hernan G. Arango ***
** Copyright (c) 2002-2011 The ROMS/TOMS Group                        **
**   Licensed under a MIT/X style license                             **
**   See License_ROMS.txt                                             **
************************************************************************
**                                                                    **
**  Assigns metadata indices for the Powell et al. (2006) ecosystem   **
**  model variables that are used in input and output NetCDF files.   **
**  The metadata information is read from "varinfo.dat".              **
**                                                                    **
**  This file is included in file "mod_ncparam.F", routine            **
**  "initialize_ncparm".                                              **
**                                                                    **
************************************************************************
*/

/*
**  Model state biological tracers.
*/

              CASE ('idTvar(iNO3_)')
                idTvar(iNO3_)=varid
                !WRITE(*,*) 'idTvar(iNO3_)=',varid 
              CASE ('idTvar(iPhyt)')
                idTvar(iPhyt)=varid
                !WRITE(*,*) 'idTvar(iPhyt)=',varid   
              CASE ('idTvar(iZoop)')
                idTvar(iZoop)=varid
                !WRITE(*,*) 'idTvar(iZoop)=',varid   
              CASE ('idTvar(iSDet)')
                idTvar(iSDet)=varid
                !WRITE(*,*) 'idTvar(iSDet)=',varid   
#ifdef ECODYNAMO
              CASE ('idTvar(iNH4_)')
                idTvar(iNH4_)=varid
                !WRITE(*,*) 'idTvar(iNH4_)=',varid 
              CASE ('idTvar(iPO4_)')
                idTvar(iPO4_)=varid
                !WRITE(*,*) 'idTvar(iPO4_)=',varid 
              CASE ('idTvar(iPhyN)')
                idTvar(iPhyN)=varid
                !WRITE(*,*) 'idTvar(iPhyN)=',varid  
              CASE ('idTvar(iPhyP)')
                idTvar(iPhyP)=varid
                !WRITE(*,*) 'idTvar(iPhyP)=',varid  
              CASE ('idTvar(iChlo)')
                idTvar(iChlo)=varid
                !WRITE(*,*) 'idTvar(iChlo)=',varid  
              CASE ('idTvar(iLphN)')
                idTvar(iLphN)=varid
                !WRITE(*,*) 'idTvar(iLphN)=',varid 
              CASE ('idTvar(iSDeN)')
                idTvar(iSDeN)=varid
                !WRITE(*,*) 'idTvar(iSDeN)=',varid
              CASE ('idTvar(iSDeP)')
                idTvar(iSDeP)=varid
                !WRITE(*,*) 'idTvar(iSDeP)=',varid
              CASE ('idTvar(iZopN)')
                idTvar(iZopN)=varid
                !WRITE(*,*) 'idTvar(iZopN)=',varid
              CASE ('idTvar(iZopP)')
                idTvar(iZopP)=varid
                !WRITE(*,*) 'idTvar(iZopP)=',varid
              CASE ('idTvar(iTIC_)')
                idTvar(iTIC_)=varid 
                !WRITE(*,*) 'idTvar(iTIC_)=',varid
              CASE ('idTvar(iTAlk)')
                idTvar(iTAlk)=varid 
                !WRITE(*,*) 'idTvar(iTAlk)=',varid
              CASE ('idTvar(iOxyg)')
                idTvar(iOxyg)=varid
                !WRITE(*,*) 'idTvar(iOxyg)=',varid
#endif

! Do it again for climatologies
              CASE ('idTclm(iNO3_)')
                idTclm(iNO3_)=varid
              CASE ('idTclm(iPhyt)')
                idTclm(iPhyt)=varid
              CASE ('idTclm(iZoop)')
                idTclm(iZoop)=varid
              CASE ('idTclm(iSDet)')
                idTclm(iSDet)=varid
#ifdef ECODYNAMO
              CASE ('idTclm(iNH4_)')
                idTclm(iNH4_)=varid
              CASE ('idTclm(iPO4_)')
                idTclm(iPO4_)=varid
              CASE ('idTclm(iPhyN)')
                idTclm(iPhyN)=varid
              CASE ('idTclm(iPhyP)')
                idTclm(iPhyP)=varid
              CASE ('idTclm(iChlo)')
                idTclm(iChlo)=varid
              CASE ('idTclm(iLphN)')
                idTclm(iLphN)=varid
              CASE ('idTclm(iSDeN)')
                idTclm(iSDeN)=varid
              CASE ('idTclm(iSDeP)')
                idTclm(iSDeP)=varid
              CASE ('idTclm(iZopN)')
                idTclm(iZopN)=varid
              CASE ('idTclm(iZopP)')
                idTclm(iZopP)=varid
              CASE ('idTclm(iTIC_)')
                idTclm(iTIC_)=varid 
              CASE ('idTclm(iTAlk)')
                idTclm(iTAlk)=varid 
              CASE ('idTclm(iOxyg)')
                idTclm(iOxyg)=varid
#endif

#if defined AD_SENSITIVITY   || defined IS4DVAR_SENSITIVITY || \
    defined OPT_OBSERVATIONS || defined SENSITIVITY_4DVAR   || \
    defined SO_SEMI

/*
**  Adjoint sensitivity state biological tracers.
*/

              CASE ('idTads(iNO3_)')
                idTads(iNO3_)=varid
              CASE ('idTads(iPhyt)')
                idTads(iPhyt)=varid
              CASE ('idTads(iZoop)')
                idTads(iZoop)=varid
              CASE ('idTads(iSDet)')
                idTads(iSDet)=varid
# ifdef ECODYNAMO
              CASE ('idTads(iNH4_)')
                idTads(iNH4_)=varid
              CASE ('idTads(iPO4_)')
                idTads(iPO4_)=varid
              CASE ('idTads(iPhyN)')
                idTads(iPhyN)=varid
              CASE ('idTads(iPhyP)')
                idTads(iPhyP)=varid
              CASE ('idTads(iChlo)')
                idTads(iChlo)=varid
              CASE ('idTads(iLphN)')
                idTads(iLphN)=varid
              CASE ('idTads(iSDeN)')
                idTads(iSDeN)=varid
              CASE ('idTads(iSDeP)')
                idTads(iSDeP)=varid
              CASE ('idTads(iZopN)')
                idTads(iZopN)=varid
              CASE ('idTads(iZopP)')
                idTads(iZopP)=varid 
              CASE ('idTads(iTIC_)')
                idTads(iTIC_)=varid 
              CASE ('idTads(iTAlk)')
                idTads(iTAlk)=varid 
              CASE ('idTads(iOxyg)')
                idTads(iOxyg)=varid 
# endif

#endif

/*
**  Biological tracers open boundary conditions.
*/

              CASE ('idTbry(iwest,iNO3_)')
                idTbry(iwest,iNO3_)=varid
              CASE ('idTbry(ieast,iNO3_)')
                idTbry(ieast,iNO3_)=varid
              CASE ('idTbry(isouth,iNO3_)')
                idTbry(isouth,iNO3_)=varid
              CASE ('idTbry(inorth,iNO3_)')
                idTbry(inorth,iNO3_)=varid

              CASE ('idTbry(iwest,iPhyt)')
                idTbry(iwest,iPhyt)=varid
              CASE ('idTbry(ieast,iPhyt)')
                idTbry(ieast,iPhyt)=varid
              CASE ('idTbry(isouth,iPhyt)')
                idTbry(isouth,iPhyt)=varid
              CASE ('idTbry(inorth,iPhyt)')
                idTbry(inorth,iPhyt)=varid

              CASE ('idTbry(iwest,iZoop)')
                idTbry(iwest,iZoop)=varid
              CASE ('idTbry(ieast,iZoop)')
                idTbry(ieast,iZoop)=varid
              CASE ('idTbry(isouth,iZoop)')
                idTbry(isouth,iZoop)=varid
              CASE ('idTbry(inorth,iZoop)')
                idTbry(inorth,iZoop)=varid

              CASE ('idTbry(iwest,iSDet)')
                idTbry(iwest,iSDet)=varid
              CASE ('idTbry(ieast,iSDet)')
                idTbry(ieast,iSDet)=varid
              CASE ('idTbry(isouth,iSDet)')
                idTbry(isouth,iSDet)=varid
              CASE ('idTbry(inorth,iSDet)')
                idTbry(inorth,iSDet)=varid

#ifdef ECODYNAMO
              CASE ('idTbry(iwest,iNH4_)')
                idTbry(iwest,iNH4_)=varid
              CASE ('idTbry(ieast,iNH4_)')
                idTbry(ieast,iNH4_)=varid
              CASE ('idTbry(isouth,iNH4_)')
                idTbry(isouth,iNH4_)=varid
              CASE ('idTbry(inorth,iNH4_)')
                idTbry(inorth,iNH4_)=varid

              CASE ('idTbry(iwest,iPO4_)')
                idTbry(iwest,iPO4_)=varid
              CASE ('idTbry(ieast,iPO4_)')
                idTbry(ieast,iPO4_)=varid
              CASE ('idTbry(isouth,iPO4_)')
                idTbry(isouth,iPO4_)=varid
              CASE ('idTbry(inorth,iPO4_)')
                idTbry(inorth,iPO4_)=varid

              CASE ('idTbry(iwest,iPhyN)')
                idTbry(iwest,iPhyN)=varid
              CASE ('idTbry(ieast,iPhyN)')
                idTbry(ieast,iPhyN)=varid
              CASE ('idTbry(isouth,iPhyN)')
                idTbry(isouth,iPhyN)=varid
              CASE ('idTbry(inorth,iPhyN)')
                idTbry(inorth,iPhyN)=varid

              CASE ('idTbry(iwest,iPhyP)')
                idTbry(iwest,iPhyP)=varid
              CASE ('idTbry(ieast,iPhyP)')
                idTbry(ieast,iPhyP)=varid
              CASE ('idTbry(isouth,iPhyP)')
                idTbry(isouth,iPhyP)=varid
              CASE ('idTbry(inorth,iPhyP)')
                idTbry(inorth,iPhyP)=varid

              CASE ('idTbry(iwest,iChlo)')
                idTbry(iwest,iChlo)=varid
              CASE ('idTbry(ieast,iChlo)')
                idTbry(ieast,iChlo)=varid
              CASE ('idTbry(isouth,iChlo)')
                idTbry(isouth,iChlo)=varid
              CASE ('idTbry(inorth,iChlo)')
                idTbry(inorth,iChlo)=varid
 
              CASE ('idTbry(iwest,iSDeN)')
                idTbry(iwest,iSDeN)=varid
              CASE ('idTbry(ieast,iSDeN)')
                idTbry(ieast,iSDeN)=varid
              CASE ('idTbry(isouth,iSDeN)')
                idTbry(isouth,iSDeN)=varid
              CASE ('idTbry(inorth,iSDeN)')
                idTbry(inorth,iSDeN)=varid

              CASE ('idTbry(iwest,iSDeP)')
                idTbry(iwest,iSDeP)=varid
              CASE ('idTbry(ieast,iSDeP)')
                idTbry(ieast,iSDeP)=varid
              CASE ('idTbry(isouth,iSDeP)')
                idTbry(isouth,iSDeP)=varid
              CASE ('idTbry(inorth,iSDeP)')
                idTbry(inorth,iSDeP)=varid

              CASE ('idTbry(iwest,iZopN)')
                idTbry(iwest,iZopN)=varid
              CASE ('idTbry(ieast,iZopN)')
                idTbry(ieast,iZopN)=varid
              CASE ('idTbry(isouth,iZopN)')
                idTbry(isouth,iZopN)=varid
              CASE ('idTbry(inorth,iZopN)')
                idTbry(inorth,iZopN)=varid

              CASE ('idTbry(iwest,iZopP)')
                idTbry(iwest,iZopP)=varid
              CASE ('idTbry(ieast,iZopP)')
                idTbry(ieast,iZopP)=varid
              CASE ('idTbry(isouth,iZopP)')
                idTbry(isouth,iZopP)=varid
              CASE ('idTbry(inorth,iZopP)')
                idTbry(inorth,iZopP)=varid

              CASE ('idTbry(iwest,iTIC_)')
                idTbry(iwest,iTIC_)=varid
              CASE ('idTbry(ieast,iTIC_)')
                idTbry(ieast,iTIC_)=varid
              CASE ('idTbry(isouth,iTIC_)')
                idTbry(isouth,iTIC_)=varid
              CASE ('idTbry(inorth,iTIC_)')
                idTbry(inorth,iTIC_)=varid

              CASE ('idTbry(iwest,iTAlk)')
                idTbry(iwest,iTAlk)=varid
              CASE ('idTbry(ieast,iTAlk)')
                idTbry(ieast,iTAlk)=varid
              CASE ('idTbry(isouth,iTAlk)')
                idTbry(isouth,iTAlk)=varid
              CASE ('idTbry(inorth,iTAlk)')
                idTbry(inorth,iTAlk)=varid

              CASE ('idTbry(iwest,iOxyg)')
                idTbry(iwest,iOxyg)=varid
              CASE ('idTbry(ieast,iOxyg)')
                idTbry(ieast,iOxyg)=varid
              CASE ('idTbry(isouth,iOxyg)')
                idTbry(isouth,iOxyg)=varid
              CASE ('idTbry(inorth,iOxyg)')
                idTbry(inorth,iOxyg)=varid 

              CASE ('idTbry(iwest,iLphN)')
                idTbry(iwest,iLphN)=varid
              CASE ('idTbry(ieast,iLphN)')
                idTbry(ieast,iLphN)=varid
              CASE ('idTbry(isouth,iLphN)')
                idTbry(isouth,iLphN)=varid
              CASE ('idTbry(inorth,iLphN)')
                idTbry(inorth,iLphN)=varid

#endif

#ifdef TS_PSOURCE

/*
**  Biological tracers point Source/Sinks (river runoff).
*/


              CASE ('idRtrc(iNO3_)')
                idRtrc(iNO3_)=varid
              CASE ('idRtrc(iPhyt)')
                idRtrc(iPhyt)=varid
              CASE ('idRtrc(iZoop)')
                idRtrc(iZoop)=varid
              CASE ('idRtrc(iSDet)')
                idRtrc(iSDet)=varid
# ifdef ECODYNAMO
              CASE ('idRtrc(iNH4_)')
                idRtrc(iNH4_)=varid
              CASE ('idRtrc(iPO4_)')
                idRtrc(iPO4_)=varid 
              CASE ('idRtrc(iPhyN)')
                idRtrc(iPhyN)=varid 
              CASE ('idRtrc(iPhyP)')
                idRtrc(iPhyP)=varid 
              CASE ('idRtrc(iChlo)')
                idRtrc(iChlo)=varid 
              
              
              CASE ('idRtrc(iLphN)')
                idRtrc(iLphN)=varid 

              CASE ('idRtrc(iSDeN)')
                idRtrc(iSDeN)=varid 
              CASE ('idRtrc(iSDeP)')
                idRtrc(iSDeP)=varid 
              CASE ('idRtrc(iZopN)')
                idRtrc(iZopN)=varid 
              CASE ('idRtrc(iZopP)')
                idRtrc(iZopP)=varid 
              CASE ('idRtrc(iTIC_)')
                idRtrc(iTIC_)=varid 
              CASE ('idRtrc(iTAlk)')
                idRtrc(iTAlk)=varid 
              CASE ('idRtrc(iOxyg)')
                idRtrc(iOxyg)=varid

# endif

#endif

#ifdef DIAGNOSTICS_BIO && DIAGNOSTICS

/*
**  Biological tracers term diagnostics.
*/
# ifdef DENITRIFICATION
              CASE ('iDbio2(iDNIT)')
                iDbio2(iDNIT)=varid               
# endif
# ifdef CARBON
              CASE ('iDbio2(iCOfx)')
                iDbio2(iCOfx)=varid                
              CASE ('iDbio2(ipCO2)')
                iDbio2(ipCO2)=varid              
# endif
# ifdef OXYGEN
              CASE ('iDbio2(iO2fx)')
                iDbio2(iO2fx)=varid               
# endif
              CASE ('iDbio3(iPPro)')
                iDbio3(iPPro)=varid
              CASE ('iDbio3(iNO3u)')
                iDbio3(iNO3u)=varid
#endif
